[MASTER]
load-plugins=pylint_django
django-settings-module=config.settings.base
[FORMAT]
max-line-length=120

[MESSAGES CONTROL]
disable=missing-docstring,invalid-name

[DESIGN]
max-parents=13

[TYPECHECK]
generated-members=REQUEST,acl_users,aq_parent,"[a-zA-Z]+_set{1,2}",save,delete

# Disable the message, report, category or checker with the given id(s). You
# can either give multiple identifiers separated by comma (,) or put this
# option multiple times (only on the command line, not in the configuration
# file where it should appear only once). You can also use "--disable=all" to
# disable everything first and then reenable specific checks. For example, if
# you want to run only the similarities checker, you can use "--disable=all
# --enable=similarities". If you want to run only the classes checker, but have
# no Warning level messages displayed, use "--disable=all --enable=classes
# --disable=W".
disable=
  # C0114: Missing module docstring
  missing-module-docstring,
  # C0116: Missing function or method docstring
  missing-function-docstring,
  # C0115: Missing class docstring
  missing-class-docstring,
  # R0201: Method could be a function
  no-self-use,
  # C0115: Missing class docstring
  missing-class-docstring,
  # C0103: Method name "test_exportHelper_returnsInvoicesOnlyOnce" doesn't conform to snake_case naming style
  invalid-name,
  # C0305: Trailing newlines
  trailing-newlines,
  # C0301: Line too long (114/100)
  line-too-long,
  # R0904: Too many public methods (32/20)
  too-many-public-methods,
  # R0903: Too few public methods (0/2)
  too-few-public-methods,
  # E1101: Class 'SizeChoice' has no 'objects' member
  no-member,
  # W0613: Unused argument 'schema_editor'
  unused-argument,
  # C0304: Final newline missing
  missing-final-newline,
  # C0303: Trailing whitespace
  trailing-whitespace,
  # W0511:
  fixme,
  # R0902: Too many instance attributes
  too-many-instance-attributes,
  # R0913: Too many arguments
  too-many-arguments,
  # R1725: Consider using Python 3 style super() without arguments
  super-with-arguments,
  # R0901: Too many ancestors
  too-many-ancestors,
  # Too many boolean expressions in if statement
  too-many-boolean-expressions,
  # W0212: Access to a protected member _meta of a client class
  protected-access,
  # W0201: Attribute defined outside __init__
  attribute-defined-outside-init,
  # R1721: Unnecessary use of a comprehension
  unnecessary-comprehension,
  # R1705: Unnecessary "else" after "return"
  no-else-return,
  # R1720: Unnecessary "elif" after "raise"
  no-else-raise,
  # R0914: Too many local variables
  too-many-locals,
  # R1702: Too many nested blocks
  too-many-nested-blocks,
  # R0911: Too many return statements
  too-many-return-statements,
  # R1701: Consider merging these isinstance calls
  consider-merging-isinstance,
  # R0915: Too many statements
  too-many-statements,
  duplicate-code,
  cyclic-impor
